import { FrameworkPluginFactory } from '@previewjs/core';
import playwright from 'playwright';

declare function generateScreenshots({ page, frameworkPlugins, filePathPattern, cwd, suppressErrors, generateScreenshotPath, onScreenshot, }: {
    page: playwright.Page;
    frameworkPlugins: FrameworkPluginFactory[];
    filePathPattern: string;
    cwd?: string;
    suppressErrors?: boolean;
    generateScreenshotPath: (options: {
        filePath: string;
        name: string;
    }) => string;
    onScreenshot?: (options: {
        filePath: string;
        name: string;
        screenshotPath: string;
    }) => void;
}): Promise<void>;

export { generateScreenshots };
